Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class ChildWalkerMultiStep

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.patterns.NodeTest
                  |
                  +--org.apache.xpath.axes.AxesWalker
                        |
                        +--org.apache.xpath.axes.ChildWalkerMultiStep

public class ChildWalkerMultiStep
extends AxesWalker

**For internal use only** Class ChildWalkerMultiStep

Fields inherited from class org.apache.xpath.patterns.NodeTest
`SCORE_NONE, SHOW_BYFUNCTION, SHOW_NAMESPACE, WILD`

Constructor Summary
`ChildWalkerMultiStep(LocPathIterator locPathIterator)` **For internal use only** Construct an ChildWalkerMultiStep using a LocPathIterator.

Method Summary
`Node` | `nextNode()` **For internal use only** Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node.

Methods inherited from class org.apache.xpath.axes.AxesWalker
`acceptNode, clone, firstChild, getCurrentNode, getExpandEntityReferences, getFilter, getLastPos, getLocPathIterator, getNextWalker, getPredicateCount, getPredicateIndex, getPrevWalker, getProximityPosition, getProximityPosition, getRoot, init, initProximityPosition, isReverseAxes, lastChild, nextSibling, parentNode, previousNode, previousSibling, reset, resetProximityPositions, setCurrentNode, setLocPathIterator, setNextWalker, setPredicateCount, setPrevWalker, setRoot, toString`

Methods inherited from class org.apache.xpath.patterns.NodeTest
`debugWhatToShow, execute, getDefaultScore, getLocalName, getNamespace, getWhatToShow, initNodeTest, initNodeTest`

Methods inherited from class org.apache.xpath.Expression
`assert, error, warn`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChildWalkerMultiStep

    public ChildWalkerMultiStep(LocPathIterator locPathIterator)

  **For internal use only** Construct an ChildWalkerMultiStep using a LocPathIterator.
  Parameters:
    `locPathIterator` -

Method Detail

### nextNode

    public Node nextNode()

  **For internal use only** Moves the `TreeWalker` to the next visible node in document order relative to the current node, and returns the new node. If the current node has no next node, or if the search for nextNode attempts to step upward from the TreeWalker's root node, returns `null` , and retains the current node.
  Returns:
    The new node, or `null` if the current node has no next node in the TreeWalker's logical view.
  Overrides:
    nextNode in class AxesWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.